BSD-3-Clause licensed
This version can be pinned in stack with:ghc-byteorder-4.11.0.0.10@sha256:d47fdef63f2a145091e91b1aedbd46bf61ca03bb935e81e3462a1d904c319de3,1594

Module documentation for 4.11.0.0.10

There are no documented modules for this package.

Depends on 1 package(full list with versions):
Used by 2 packages in nightly-2021-09-16(full list with versions):

This package transparently supplies the GHC.ByteOrder API as provided in base-4.11.0.0 for legacy GHC releases which didn't provide it yet (i.e. GHC 7.0 through GHC 8.2).

This release reexports GHC.ByteOrder from base via Cabal's reexported-modules mechanism. For GHC 8.2 and earlier a different release of ghc-byteorder (with the same minor version) is eligible by the Cabal solver with a backported GHC.ByteOrder module.

In order to use this compatibility layer, simply declare a dependency on ghc-byteorder in your .cabal package description like so

build-depends: ghc-byteorder ^>= 4.11.0.0

And your code will be able to access this respective API version of the module via the usual

import GHC.ByteOrder

mechanism.